petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatSubMatrixUpdate

Updates a submatrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSubMatrixUpdate(Mat N,Mat A,IS isrow,IS iscol)

Collective on Mat

### Input Parameters

| N | - submatrix to update
| A | - full matrix in the submatrix
| isrow | - rows in the update (same as the first time the submatrix was created)
| iscol | - columns in the update (same as the first time the submatrix was created)

### Notes

Most will use MatGetSubMatrix which provides a more efficient representation if it is available.

### See Also

MatGetSubMatrix(), MatCreateSubMatrix()

Level:developer
Location:src/mat/impls/submat/submat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages